<!--
  @description:招标人信息详情
  @Modifier: haofengxian
  @routerPath: /informationbase/tendereeInfoDetail
  @date: 2020-6-1-15:28
-->
<template>
  <div>
    <div class="title p0-16 clearfix">
      <div class="title-back pointer" @click="back">
        <i class="iconfont icon-fanhui mr10" />查看招标人信息
      </div>
    </div>
    <div class="p0-16">
      <table class="tableData">
        <tr>
          <td>公司名称</td>
          <td>{{ formData.departName }}</td>
          <td>公司编号（电商平台）</td>
          <td>{{ formData.ecmmerceCode }}</td>
        </tr>
        <tr>
          <td>公司编码（集团）</td>
          <td>{{ formData.orgCode }}</td>
          <td>上级单位名称</td>
          <td>{{ formData.parentDepartName }}</td>
        </tr>
        <tr>
          <td>上级单位编号（集团）</td>
          <td>{{ formData.parentECmmerceCode }}</td>
          <td>上级单位编码（集团）</td>
          <td>{{ formData.parentOrgCode }}</td>
        </tr>
      </table>
    </div>
  </div>
</template>

<script>
/* 接口*/
import { queryUserInfoById } from '@api/common/user'
export default {
  name: 'TendereeInfoDetail',
  data() {
    return {
      departId: this.$route.params.id, // 机构id
      formData: {}
    }
  },
  created() {
    // 获取招标人详情(
    this.queryUserInfo()
  },
  methods: {
    queryUserInfo() {
      queryUserInfoById(this.departId).then(res => {
        this.formData = res.data
      }).catch(() => {
      })
    },
    // 返回
    back() {
      this.$router.push({
        path: '/informationbase/tendereeInfoList'
      })
    }
  }
}
</script>

<style scoped>

</style>
